using System;
using System.Collections.Generic;
using System.Text;

namespace DPSDK_CSharpDemo
{
    class PtrOffset
    {
        public static IntPtr IntPtrOffset(IntPtr pbase, int offset)
        {
            if (4 == IntPtr.Size)
            {
                return (IntPtr)(pbase.ToInt32() + offset);
            }
            return (IntPtr)(pbase.ToInt64() + offset);
        }
    }
}
